﻿/**Begin D:\pdm\PDM_UPGRADE_1.4\PDM_UPGRADE\NEWPDM\WTS_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WTS_SWSHIFTBILLDETAIL') 
 CREATE TABLE T_WTS_SWSHIFTBILLDETAIL (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLID BIGINT DEFAULT 0 NOT NULL,
FATTFILEBOID BIGINT DEFAULT 0 NOT NULL,
FBILLSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FSHIFTID BIGINT DEFAULT 0 NOT NULL,
FDATETYPEID BIGINT DEFAULT 0 NOT NULL,
FSWDATE DATETIME,
FENTRYSEQ INT DEFAULT 0 NOT NULL,
FROSTERTYPE VARCHAR(10) DEFAULT ' ' NOT NULL,
FSWAPSCOPE VARCHAR(10) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WTS_SWSHIFTBILL') 
 CREATE TABLE T_WTS_SWSHIFTBILL (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBARCODE VARCHAR(60) DEFAULT ' ' NOT NULL,
FINPUTDEVICETYPE VARCHAR(100) DEFAULT ' ' NOT NULL,
FISEXISTSWORKFLOW CHAR(1) DEFAULT '0' NOT NULL,
FAUDITSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FISSUBMIT CHAR(1) DEFAULT '0' NOT NULL,
FPERSONID BIGINT DEFAULT 0 NOT NULL,
FATTFILEID BIGINT DEFAULT 0 NOT NULL,
FPERSONNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FATTFILEBASEID BIGINT DEFAULT 0 NOT NULL,
FISATTFILEDISCARD CHAR(1) DEFAULT '0' NOT NULL,
FSWSHIFTTYPE VARCHAR(10) DEFAULT ' ' NOT NULL,
FAPPLYTYPERADIO VARCHAR(10) DEFAULT ' ' NOT NULL,
FSUBMITTER BIGINT DEFAULT 0 NOT NULL,
FSUBMITDATE DATETIME,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WTS_SWSHIFTBILLENTRY') 
 CREATE TABLE T_WTS_SWSHIFTBILLENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FSWDATE DATETIME,
FFROMROSTERTYPE VARCHAR(10) DEFAULT ' ' NOT NULL,
FFROMSHIFTID BIGINT DEFAULT 0 NOT NULL,
FFROMDATETYPEID BIGINT DEFAULT 0 NOT NULL,
FFROMATTFILEBASEID BIGINT DEFAULT 0 NOT NULL,
FTODATE DATETIME,
FTOROSTERTYPE VARCHAR(10) DEFAULT ' ' NOT NULL,
FTOSHIFTID BIGINT DEFAULT 0 NOT NULL,
FTODATETYPEID BIGINT DEFAULT 0 NOT NULL,
FSWAPSCOPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FBEFORESHIFTID BIGINT DEFAULT 0 NOT NULL,
FSWTYPE VARCHAR(10) DEFAULT ' ' NOT NULL,
FBEFOREDATETYPEID BIGINT DEFAULT 0 NOT NULL,
FAFTERSHIFTID BIGINT DEFAULT 0 NOT NULL,
FAFTERDATETYPEID BIGINT DEFAULT 0 NOT NULL,
FTOATTFILEBASEID BIGINT DEFAULT 0 NOT NULL,
FFROMATTFILEBOID BIGINT DEFAULT 0 NOT NULL,
FTOATTFILEBOID BIGINT DEFAULT 0 NOT NULL,
FREASON NVARCHAR(255) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL
);



/**End D:\pdm\PDM_UPGRADE_1.4\PDM_UPGRADE\NEWPDM\WTS_table.sql **/
